Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-5080

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2008-5080
Last Modified 04 Mar 2009 01:45:52
Published 03 Dec 2008 01:30:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-5080

Summary

awstats.pl in AWStats 6.8 and earlier does not properly remove quote characters, which allows remote attackers to conduct cross-site scripting (XSS) attacks via the query_string parameter. NOTE: this issue exists because of an incomplete fix for CVE-2008-3714.

Vulnerable Systems

Application

  • Awstats 5.0

  • Awstats 5.1

  • Awstats 5.2

  • Awstats 5.3

  • Awstats 5.4

  • Awstats 5.5

  • Awstats 5.6

  • Awstats 5.7

  • Awstats 5.8

  • Awstats 5.9

  • Awstats 6.0

  • Awstats 6.1

  • Awstats 6.2

  • Awstats 6.3

  • Awstats 6.4

  • Awstats 6.5

  • Awstats 6.6

  • Awstats 6.7

  • Awstats 6.8


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=474396

XF - awstats-querystring-xss(47116)

UBUNTU - USN-686-1

SECUNIA - 33002

MISC - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495432#21


Last Updated: 27 May 2016 10:48:42